UserGroupInformation.AuthenticationMethod (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security, class: UserGroupInformation, enum: AuthenticationMethod

Package org.apache.hadoop.security

# Enum Class UserGroupInformation.AuthenticationMethod

java.lang.Object
java.lang.Enum<UserGroupInformation.AuthenticationMethod>
org.apache.hadoop.security.UserGroupInformation.AuthenticationMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<UserGroupInformation.AuthenticationMethod>`, `Constable`

Enclosing class:
  UserGroupInformation

@Public @Evolving public static enum UserGroupInformation.AuthenticationMethod extends Enum<UserGroupInformation.AuthenticationMethod>
existing types of authentications' methods

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CERTIFICATE`
  `KERBEROS`
  `KERBEROS_SSL`
  `PROXY`
  `SIMPLE`
  `TOKEN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SaslRpcServer.AuthMethod`
  `getAuthMethod()`
  `static UserGroupInformation.AuthenticationMethod`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UserGroupInformation.AuthenticationMethod`
  `valueOf(SaslRpcServer.AuthMethod authMethod)`
  Returns the enum constant of this class with the specified name.
  `static UserGroupInformation.AuthenticationMethod[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SIMPLE

    public static final UserGroupInformation.AuthenticationMethod SIMPLE

  - ### KERBEROS

    public static final UserGroupInformation.AuthenticationMethod KERBEROS

  - ### TOKEN

    public static final UserGroupInformation.AuthenticationMethod TOKEN

  - ### CERTIFICATE

    public static final UserGroupInformation.AuthenticationMethod CERTIFICATE

  - ### KERBEROS_SSL

    public static final UserGroupInformation.AuthenticationMethod KERBEROS_SSL

  - ### PROXY

    public static final UserGroupInformation.AuthenticationMethod PROXY

- ## Method Details

  - ### values

    public static UserGroupInformation.AuthenticationMethod[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UserGroupInformation.AuthenticationMethod valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAuthMethod

    public SaslRpcServer.AuthMethod getAuthMethod()

  - ### valueOf

    public static UserGroupInformation.AuthenticationMethod valueOf(SaslRpcServer.AuthMethod authMethod)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `authMethod` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null